import { APIClient } from "./ApiClient";

export interface Balances {
  [key: number]: number;
}

export class MovementApi {
  /**
   * Get all accounts balances
   */
  static async GetAllBalances(): Promise<Balances> {
    return (
      await APIClient.exec({
        uri: `/accounts/balances`,
        method: "GET",
      })
    ).data;
  }
}
